### Method

# Adw NavigationViewadd

since: 1.4

#### Declaration [src]

    void
    adw_navigation_view_add (
      AdwNavigationView* self,
      AdwNavigationPage* page
    )

#### Description [src]

Permanently adds `page` to `self`.

Any page that has been added will stay in `self` even after being popped from the navigation stack.

Adding a page while no page is visible will automatically push it to the navigation stack.

See `adw_navigation_view_remove()`.

Available since: 1.4

#### Parameters

`page`

  Type: `AdwNavigationPage`

  The page to add.

  The data is owned by the caller of the method.